summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-09-05 12:58:18 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-09-05 12:58:18 +0200
commite8157b5142acd0130c4f3e6edf821bd8ae90a8de (patch)
tree6a738b40463ee2a895b29c85cb3af266efd6128e
parentab2e60fec20c7e01348463629a940f01ead256c0 (diff)
unbreak build
-rw-r--r--package/python/Makefile12
-rw-r--r--package/python/patches/patch-Makefile_pre_in53
-rw-r--r--package/python/patches/patch-configure343
-rw-r--r--package/python/patches/patch-setup_py41
4 files changed, 68 insertions, 381 deletions
diff --git a/package/python/Makefile b/package/python/Makefile
index 4c6cc4428..993dcb034 100644
--- a/package/python/Makefile
+++ b/package/python/Makefile
@@ -4,11 +4,12 @@
include ${TOPDIR}/rules.mk
PKG_NAME:= python
-PKG_VERSION:= 3.2
+PKG_VERSION:= 3.2.2
PKG_RELEASE:= 1
-PKG_MD5SUM:= f1317dbb2398374d6691edd5bff1b91d
+PKG_MD5SUM:= 3c63a6d97333f4da35976b6a0755eb67
PKG_DESCR:= Python scripting language (Version 3)
PKG_SECTION:= lang
+PKG_DEPENDS:= libpthread
PKG_URL:= http://www.python.org/
PKG_SITES:= http://www.python.org/ftp/python/${PKG_VERSION}/
@@ -21,13 +22,16 @@ include ${TOPDIR}/mk/package.mk
$(eval $(call PKG_template,PYTHON,${PKG_NAME},${PKG_VERSION}-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+# disable honour cflags stuff
+XAKE_FLAGS+= GCC_HONOUR_COPTS=s
+
MAKE_ENV+= OPT="$(TARGET_CFLAGS)" \
HOSTPYTHON=./hostpython \
HOSTPGEN=./Parser/hostpgen
-CONFIGURE_ENV+= OPT="$(TARGET_CFLAGS)"
CONFIGURE_ARGS:= --with-threads \
--with-system-ffi \
--without-cxx-main
+CONFIGURE_ENV+= ac_cv_have_long_long_format=yes
post-extract:
(cd ${WRKBUILD}; rm -rf config.{cache,status} ; \
@@ -49,9 +53,11 @@ pre-configure:
post-install:
${INSTALL_DIR} ${IDIR_PYTHON}/usr/bin ${IDIR_PYTHON}/usr/lib
${INSTALL_DIR} ${IDIR_PYTHON}/usr/lib/python3.2
+ ${INSTALL_DIR} ${IDIR_PYTHON}/usr/include/python3.2m
${INSTALL_BIN} ${WRKINST}/usr/bin/python3 ${IDIR_PYTHON}/usr/bin
${CP} ${WRKINST}/usr/lib/libpython*.so* ${IDIR_PYTHON}/usr/lib
cd ${IDIR_PYTHON}/usr/bin && ln -s python3 python
${CP} ${WRKINST}/usr/lib/python3.2/* ${IDIR_PYTHON}/usr/lib/python3.2
+ ${CP} ${WRKINST}/usr/include/python3.2m/* ${IDIR_PYTHON}/usr/include/python3.2m
include ${TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/python/patches/patch-Makefile_pre_in b/package/python/patches/patch-Makefile_pre_in
index 00504cb16..a2f7d96dc 100644
--- a/package/python/patches/patch-Makefile_pre_in
+++ b/package/python/patches/patch-Makefile_pre_in
@@ -1,6 +1,7 @@
---- Python-3.1.1.orig/Makefile.pre.in 2009-06-12 00:54:11.000000000 +0200
-+++ Python-3.1.1/Makefile.pre.in 2009-09-28 19:01:13.167748736 +0200
-@@ -52,7 +52,7 @@ INSTALL_DATA= @INSTALL_DATA@
+diff -Nur Python-3.2.2.orig/Makefile.pre.in Python-3.2.2/Makefile.pre.in
+--- Python-3.2.2.orig/Makefile.pre.in 2011-09-03 18:16:45.000000000 +0200
++++ Python-3.2.2/Makefile.pre.in 2011-09-05 11:58:25.000000000 +0200
+@@ -57,7 +57,7 @@
# Shared libraries must be installed with executable mode on some systems;
# rather than figuring out exactly which, we always give them executable mode.
# Also, making them read-only seems to be a good idea...
@@ -9,7 +10,7 @@
MAKESETUP= $(srcdir)/Modules/makesetup
-@@ -177,6 +177,7 @@ LIBOBJS= @LIBOBJS@
+@@ -191,6 +191,7 @@
PYTHON= python$(EXE)
BUILDPYTHON= python$(BUILDEXE)
@@ -17,7 +18,7 @@
# The task to run while instrument when building the profile-opt target
PROFILE_TASK= $(srcdir)/Tools/pybench/pybench.py -n 2 --with-gc --with-syscheck
-@@ -217,6 +218,7 @@ GRAMMAR_INPUT= $(srcdir)/Grammar/Grammar
+@@ -233,6 +234,7 @@
##########################################################################
# Parser
PGEN= Parser/pgen$(EXE)
@@ -25,7 +26,7 @@
POBJS= \
Parser/acceler.o \
-@@ -393,7 +395,7 @@ build_all_generate_profile:
+@@ -413,7 +415,7 @@
$(MAKE) all CFLAGS="$(CFLAGS) -fprofile-generate" LIBS="$(LIBS) -lgcov"
run_profile_task:
@@ -34,12 +35,12 @@
build_all_use_profile:
$(MAKE) all CFLAGS="$(CFLAGS) -fprofile-use"
-@@ -411,14 +413,14 @@ $(BUILDPYTHON): Modules/python.o $(LIBRA
- $(BLDLIBRARY) $(LIBS) $(MODLIBS) $(SYSLIBS) $(LDLAST)
+@@ -429,14 +431,14 @@
+ $(LINKCC) $(PY_LDFLAGS) $(LINKFORSHARED) -o $@ Modules/python.o $(BLDLIBRARY) $(LIBS) $(MODLIBS) $(SYSLIBS) $(LDLAST)
platform: $(BUILDPYTHON)
-- $(RUNSHARED) ./$(BUILDPYTHON) -E -c 'import sys ; from distutils.util import get_platform ; print(get_platform()+"-"+sys.version[0:3])' >platform
-+ $(RUNSHARED) $(HOSTPYTHON) -E -c 'import sys ; from distutils.util import get_platform ; print(get_platform()+"-"+sys.version[0:3])' >platform
+- $(RUNSHARED) ./$(BUILDPYTHON) -E -c 'import sys ; from sysconfig import get_platform ; print(get_platform()+"-"+sys.version[0:3])' >platform
++ $(RUNSHARED) $(HOSTPYTHON) -E -c 'import sys ; from sysconfig import get_platform ; print(get_platform()+"-"+sys.version[0:3])' >platform
# Build the shared modules
@@ -52,43 +53,43 @@
esac
# Build static library
-@@ -542,7 +544,7 @@ $(IO_OBJS): $(IO_H)
-
- $(GRAMMAR_H) $(GRAMMAR_C): $(PGEN) $(GRAMMAR_INPUT)
+@@ -587,7 +589,7 @@
+ $(GRAMMAR_H) $(GRAMMAR_C): Parser/pgen.stamp
+ Parser/pgen.stamp: $(PGEN) $(GRAMMAR_INPUT)
-@$(INSTALL) -d Include
-- -$(PGEN) $(GRAMMAR_INPUT) $(GRAMMAR_H) $(GRAMMAR_C)
+- $(PGEN) $(GRAMMAR_INPUT) $(GRAMMAR_H) $(GRAMMAR_C)
+ -$(HOSTPGEN) $(GRAMMAR_INPUT) $(GRAMMAR_H) $(GRAMMAR_C)
+ -touch Parser/pgen.stamp
$(PGEN): $(PGENOBJS)
- $(CC) $(OPT) $(LDFLAGS) $(PGENOBJS) $(LIBS) -o $(PGEN)
-@@ -705,7 +707,7 @@ $(LIBRARY_OBJS) $(MODOBJS) Modules/pytho
+@@ -758,7 +760,7 @@
TESTOPTS= -l $(EXTRATESTOPTS)
TESTPROG= $(srcdir)/Lib/test/regrtest.py
--TESTPYTHON= $(RUNSHARED) ./$(BUILDPYTHON) -E -bb
-+TESTPYTHON= $(RUNSHARED) $(HOSTPYTHON) -E -bb
+-TESTPYTHON= $(RUNSHARED) ./$(BUILDPYTHON) -Wd -E -bb $(TESTPYTHONOPTS)
++TESTPYTHON= $(RUNSHARED) $(HOSTPYTHON) -Wd -E -bb $(TESTPYTHONOPTS)
test: all platform
-find $(srcdir)/Lib -name '*.py[co]' -print | xargs rm -f
-$(TESTPYTHON) $(TESTPROG) $(TESTOPTS)
-@@ -1018,7 +1020,7 @@ libainstall: all
+@@ -1102,7 +1104,7 @@
# Install the dynamically loadable modules
# This goes into $(exec_prefix)
- sharedinstall:
+ sharedinstall: sharedmods
- $(RUNSHARED) ./$(BUILDPYTHON) -E $(srcdir)/setup.py install \
+ $(RUNSHARED) $(HOSTPYTHON) -E $(srcdir)/setup.py install \
--prefix=$(prefix) \
--install-scripts=$(BINDIR) \
--install-platlib=$(DESTSHARED) \
-@@ -1056,7 +1058,7 @@ frameworkinstallstructure: $(LDLIBRARY)
+@@ -1140,7 +1142,7 @@
fi; \
done
- $(LN) -fsn include/python$(VERSION) $(DESTDIR)$(prefix)/Headers
+ $(LN) -fsn include/python$(LDVERSION) $(DESTDIR)$(prefix)/Headers
- sed 's/%VERSION%/'"`$(RUNSHARED) ./$(BUILDPYTHON) -c 'import platform; print(platform.python_version())'`"'/g' < $(RESSRCDIR)/Info.plist > $(DESTDIR)$(prefix)/Resources/Info.plist
+ sed 's/%VERSION%/'"`$(RUNSHARED) $(HOSTPYTHON) -c 'import platform; print(platform.python_version())'`"'/g' < $(RESSRCDIR)/Info.plist > $(DESTDIR)$(prefix)/Resources/Info.plist
$(LN) -fsn $(VERSION) $(DESTDIR)$(PYTHONFRAMEWORKINSTALLDIR)/Versions/Current
$(LN) -fsn Versions/Current/$(PYTHONFRAMEWORK) $(DESTDIR)$(PYTHONFRAMEWORKINSTALLDIR)/$(PYTHONFRAMEWORK)
$(LN) -fsn Versions/Current/Headers $(DESTDIR)$(PYTHONFRAMEWORKINSTALLDIR)/Headers
-@@ -1098,7 +1100,7 @@ frameworkinstallextras:
+@@ -1174,7 +1176,7 @@
# This installs a few of the useful scripts in Tools/scripts
scriptsinstall:
SRCDIR=$(srcdir) $(RUNSHARED) \
@@ -96,8 +97,8 @@
+ $(HOSTPYTHON) $(srcdir)/Tools/scripts/setup.py install \
--prefix=$(prefix) \
--install-scripts=$(BINDIR) \
- --root=/$(DESTDIR)
-@@ -1120,7 +1122,7 @@ config.status: $(srcdir)/configure
+ --root=$(DESTDIR)/
+@@ -1196,7 +1198,7 @@
# Run reindent on the library
reindent:
@@ -106,7 +107,7 @@
# Rerun configure with the same options as it was run last time,
# provided the config.status script exists
-@@ -1234,7 +1236,7 @@ funny:
+@@ -1317,7 +1319,7 @@
# Perform some verification checks on any modified files.
patchcheck:
diff --git a/package/python/patches/patch-configure b/package/python/patches/patch-configure
index b76afc821..b24d4c24f 100644
--- a/package/python/patches/patch-configure
+++ b/package/python/patches/patch-configure
@@ -1,12 +1,13 @@
---- Python-3.1.1.orig/configure 2009-06-08 23:22:57.000000000 +0200
-+++ Python-3.1.1/configure 2010-11-07 20:52:09.000000000 +0100
-@@ -2051,12 +2051,12 @@ fi
- echo $ECHO_N "checking MACHDEP... $ECHO_C" >&6; }
+diff -Nur Python-3.2.2.orig/configure Python-3.2.2/configure
+--- Python-3.2.2.orig/configure 2011-09-03 18:16:50.000000000 +0200
++++ Python-3.2.2/configure 2011-09-05 11:35:01.000000000 +0200
+@@ -2983,12 +2983,12 @@
+ $as_echo_n "checking MACHDEP... " >&6; }
if test -z "$MACHDEP"
then
- ac_sys_system=`uname -s`
+ ac_sys_system=Linux
- if test "$ac_sys_system" = "AIX" -o "$ac_sys_system" = "Monterey64" \
+ if test "$ac_sys_system" = "AIX" \
-o "$ac_sys_system" = "UnixWare" -o "$ac_sys_system" = "OpenUNIX"; then
ac_sys_release=`uname -v`
else
@@ -15,334 +16,12 @@
fi
ac_md_system=`echo $ac_sys_system |
tr -d '/ ' | tr '[A-Z]' '[a-z]'`
-@@ -2224,7 +2224,7 @@ EXPORT_MACOSX_DEPLOYMENT_TARGET='#'
+@@ -3140,7 +3140,7 @@
- { echo "$as_me:$LINENO: checking machine type as reported by uname -m" >&5
- echo $ECHO_N "checking machine type as reported by uname -m... $ECHO_C" >&6; }
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking machine type as reported by uname -m" >&5
+ $as_echo_n "checking machine type as reported by uname -m... " >&6; }
-ac_sys_machine=`uname -m`
+ac_sys_machine=@@CPU_ARCH@@
- { echo "$as_me:$LINENO: result: $ac_sys_machine" >&5
- echo "${ECHO_T}$ac_sys_machine" >&6; }
-
-@@ -17204,141 +17204,6 @@ fi
- fi
-
-
--# On Tru64, chflags seems to be present, but calling it will
--# exit Python
--{ echo "$as_me:$LINENO: checking for chflags" >&5
--echo $ECHO_N "checking for chflags... $ECHO_C" >&6; }
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--#include <sys/stat.h>
--#include <unistd.h>
--int main(int argc, char*argv[])
--{
-- if(chflags(argv[0], 0) != 0)
-- return 1;
-- return 0;
--}
--
--_ACEOF
--rm -f conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_try") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
--
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_CHFLAGS 1
--_ACEOF
--
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--{ echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
--
--fi
--rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
--
--
--
--{ echo "$as_me:$LINENO: checking for lchflags" >&5
--echo $ECHO_N "checking for lchflags... $ECHO_C" >&6; }
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--#include <sys/stat.h>
--#include <unistd.h>
--int main(int argc, char*argv[])
--{
-- if(lchflags(argv[0], 0) != 0)
-- return 1;
-- return 0;
--}
--
--_ACEOF
--rm -f conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_try") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
--
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_LCHFLAGS 1
--_ACEOF
--
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--{ echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
--
--fi
--rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
-
-
-
-@@ -22435,84 +22300,6 @@ fi
-
- LIBS=$LIBS_SAVE
-
--# Multiprocessing check for broken sem_getvalue
--{ echo "$as_me:$LINENO: checking for broken sem_getvalue" >&5
--echo $ECHO_N "checking for broken sem_getvalue... $ECHO_C" >&6; }
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--#include <unistd.h>
--#include <fcntl.h>
--#include <stdio.h>
--#include <semaphore.h>
--#include <sys/stat.h>
--
--int main(void){
-- sem_t *a = sem_open("/autoconf", O_CREAT, S_IRUSR|S_IWUSR, 0);
-- int count;
-- int res;
-- if(a==SEM_FAILED){
-- perror("sem_open");
-- return 1;
--
-- }
-- res = sem_getvalue(a, &count);
-- sem_close(a);
-- return res==-1 ? 1 : 0;
--}
--
--
--_ACEOF
--rm -f conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_try") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
-- { echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--{ echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
--
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_BROKEN_SEM_GETVALUE 1
--_ACEOF
--
--
--fi
--rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
-
-
-
-@@ -25145,94 +24932,6 @@ else
- echo "${ECHO_T}no" >&6; }
- fi
-
--{ echo "$as_me:$LINENO: checking for %zd printf() format support" >&5
--echo $ECHO_N "checking for %zd printf() format support... $ECHO_C" >&6; }
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--#include <stdio.h>
--#include <stddef.h>
--#include <string.h>
--
--#ifdef HAVE_SYS_TYPES_H
--#include <sys/types.h>
--#endif
--
--#ifdef HAVE_SSIZE_T
--typedef ssize_t Py_ssize_t;
--#elif SIZEOF_VOID_P == SIZEOF_LONG
--typedef long Py_ssize_t;
--#else
--typedef int Py_ssize_t;
--#endif
--
--int main()
--{
-- char buffer[256];
--
-- if(sprintf(buffer, "%zd", (size_t)123) < 0)
-- return 1;
--
-- if (strcmp(buffer, "123"))
-- return 1;
--
-- if (sprintf(buffer, "%zd", (Py_ssize_t)-123) < 0)
-- return 1;
--
-- if (strcmp(buffer, "-123"))
-- return 1;
--
-- return 0;
--}
--_ACEOF
--rm -f conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_try") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
--
--cat >>confdefs.h <<\_ACEOF
--#define PY_FORMAT_SIZE_T "z"
--_ACEOF
--
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--{ echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
--fi
--rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
-
-
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_sys_machine" >&5
+ $as_echo "$ac_sys_machine" >&6; }
diff --git a/package/python/patches/patch-setup_py b/package/python/patches/patch-setup_py
index c9f3dfe08..2c910039c 100644
--- a/package/python/patches/patch-setup_py
+++ b/package/python/patches/patch-setup_py
@@ -1,6 +1,7 @@
---- Python-3.1.1.orig/setup.py 2009-08-12 20:39:44.000000000 +0200
-+++ Python-3.1.1/setup.py 2009-09-28 19:12:33.550271196 +0200
-@@ -255,36 +255,6 @@ class PyBuildExt(build_ext):
+diff -Nur Python-3.2.2.orig/setup.py Python-3.2.2/setup.py
+--- Python-3.2.2.orig/setup.py 2011-09-03 18:16:50.000000000 +0200
++++ Python-3.2.2/setup.py 2011-09-05 12:17:57.000000000 +0200
+@@ -332,36 +332,6 @@
# cached. Clear that cache before trying to import.
sys.path_importer_cache.clear()
@@ -37,32 +38,32 @@
def get_platform(self):
# Get value of sys.platform
-@@ -295,8 +265,8 @@ class PyBuildExt(build_ext):
-
- def detect_modules(self):
- # Ensure that /usr/local is always used
+@@ -396,8 +366,8 @@
+ # Ensure that /usr/local is always used, but the local build
+ # directories (i.e. '.' and 'Include') must be first. See issue
+ # 10520.
- add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib')
- add_dir_to_list(self.compiler.include_dirs, '/usr/local/include')
+ #add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib')
+ #add_dir_to_list(self.compiler.include_dirs, '/usr/local/include')
+ self.add_multiarch_paths()
# Add paths specified in the environment variables LDFLAGS and
- # CPPFLAGS for header and library files.
-@@ -332,20 +302,22 @@ class PyBuildExt(build_ext):
+@@ -434,25 +404,16 @@
for directory in reversed(options.dirs):
add_dir_to_list(dir_list, directory)
-- if os.path.normpath(sys.prefix) != '/usr':
+- if os.path.normpath(sys.prefix) != '/usr' \
+- and not sysconfig.get_config_var('PYTHONFRAMEWORK'):
+- # OSX note: Don't add LIBDIR and INCLUDEDIR to building a framework
+- # (PYTHONFRAMEWORK is set) to avoid # linking problems when
+- # building a framework with different architectures than
+- # the one that is currently installed (issue #7473)
- add_dir_to_list(self.compiler.library_dirs,
- sysconfig.get_config_var("LIBDIR"))
- add_dir_to_list(self.compiler.include_dirs,
- sysconfig.get_config_var("INCLUDEDIR"))
-+ #if os.path.normpath(sys.prefix) != '/usr':
-+ # add_dir_to_list(self.compiler.library_dirs,
-+ # sysconfig.get_config_var("LIBDIR"))
-+ # add_dir_to_list(self.compiler.include_dirs,
-+ # sysconfig.get_config_var("INCLUDEDIR"))
-
+-
# lib_dirs and inc_dirs are used to search for files;
# if a file is found in one of those directories, it can
# be assumed that no additional -I,-L directives are needed.
@@ -71,13 +72,13 @@
- '/lib', '/usr/lib',
- ]
- inc_dirs = self.compiler.include_dirs + ['/usr/include']
-+ #lib_dirs = self.compiler.library_dirs + [
++ lib_dirs = self.compiler.library_dirs
++ #+ [
+ # '/lib64', '/usr/lib64',
+ # '/lib', '/usr/lib',
+ # ]
-+ #inc_dirs = self.compiler.include_dirs + ['/usr/include']
-+ inc_dirs = self.compiler.include_dirs
-+ lib_dirs = self.compiler.library_dirs
++ inc_dirs = self.compiler.include_dirs
++ #+ ['/usr/include']
exts = []
missing = []